0.9.8: Vector Relational Functions

| 0.9.8

- Main Page
- Modules
- Files

Functions
Vector Relational Functions
GLM Core

## Functions

template<precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | all (vecType< bool, P > const &v)
template<precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | any (vecType< bool, P > const &v)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | equal (vecType< T, P > const &x, vecType< T, P > const &y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | greaterThan (vecType< T, P > const &x, vecType< T, P > const &y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | greaterThanEqual (vecType< T, P > const &x, vecType< T, P > const &y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | lessThan (vecType< T, P > const &x, vecType< T, P > const &y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | lessThanEqual (vecType< T, P > const &x, vecType< T, P > const &y)
template<precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | not_ (vecType< bool, P > const &v)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | notEqual (vecType< T, P > const &x, vecType< T, P > const &y)

## Detailed Description

Relational and equality operators (<, <=, >, >=, ==, !=) are defined to operate on scalars and produce scalar Boolean results.

For vector results, use the following built-in functions.

In all cases, the sizes of all the input and return vectors for any particular call must match.

## Function Documentation

GLM_FUNC_DECL bool glm::all | ( | vecType< bool, P > const & | v | ) |

Returns true if all components of x are true.

Template Parameters

  vecType | Boolean vector types.

See also
  GLSL all man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

GLM_FUNC_DECL bool glm::any | ( | vecType< bool, P > const & | v | ) |

Returns true if any component of x is true.

Template Parameters

  vecType | Boolean vector types.

See also
  GLSL any man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

GLM_FUNC_DECL vecType<bool, P> glm::equal | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Returns the component-wise comparison of result x == y.

Template Parameters

  vecType | Floating-point, integer or boolean vector types.

See also
  GLSL equal man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

GLM_FUNC_DECL vecType<bool, P> glm::greaterThan | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Returns the component-wise comparison of result x > y.

Template Parameters

  vecType | Floating-point or integer vector types.

See also
  GLSL greaterThan man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

GLM_FUNC_DECL vecType<bool, P> glm::greaterThanEqual | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Returns the component-wise comparison of result x >= y.

Template Parameters

  vecType | Floating-point or integer vector types.

See also
  GLSL greaterThanEqual man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

GLM_FUNC_DECL vecType<bool, P> glm::lessThan | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Returns the component-wise comparison result of x < y.

Template Parameters

  vecType | Floating-point or integer vector types.

See also
  GLSL lessThan man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

GLM_FUNC_DECL vecType<bool, P> glm::lessThanEqual | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Returns the component-wise comparison of result x <= y.

Template Parameters

  vecType | Floating-point or integer vector types.

See also
  GLSL lessThanEqual man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

GLM_FUNC_DECL vecType<bool, P> glm::not_ | ( | vecType< bool, P > const & | v | ) |

Returns the component-wise logical complement of x.

/!\ Because of language incompatibilities between C++ and GLSL, GLM defines the function not but not_ instead.

Template Parameters

  vecType | Boolean vector types.

See also
  GLSL not man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

GLM_FUNC_DECL vecType<bool, P> glm::notEqual | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Returns the component-wise comparison of result x != y.

Template Parameters

  vecType | Floating-point, integer or boolean vector types.

See also
  GLSL notEqual man page
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions